Subject: Re: TkMan with Win32 TCL stuff
From: [email-masked] (Earnie Boyd)

3 Nov 1997 06:11:17 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

If you are porting UNIX packages the easyist is to set up just like 
UNIX.  However, if the configure package is setup properly you can 
specify with the --prefix=dir switch where to install the package.  For 
the cygwin setup I have a directory called C:\root.  I have mounted 
C:\root as /.

To do this do (assuming you are in bash):

umount /
mount -b C:\\root /

As far as setting the PATH; both unix and dos/win32 have always required 
that the path point to the executables.  If you've installed any 
comercial windows package you should have noticed that the dll's go into 
the location of the executables, or in c:\windows or one of it's 
subdirectories.  Usually they will automatically update the autoexec.bat 
file to modify the PATH variable.

As for tkMan: I've looked at it.  It requires TCL/TK version 8 and also 
requires some patch to be applied to TCL/TK.  I haven't taken the time 
to install the patch so I don't have it up.  Instead I have chosen to 
use rman, (aka: PolyglotMan and RosettaMan).  Rman is a man page 
reformatter; therefore you can reformat to HTML and use the web browser.  
I forget the URL path 8-{.

Good luck,

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

>Date: Sun, 2 Nov 1997 19:51:59 -0500 (EST)
>From: Chad Loder <[email-masked]>
>Reply-To: [email-masked]
>To: [email-masked]
>Subject: TkMan with Win32 TCL stuff
>
>Does anyone know if it's possible (without major headaches) to get 
TkMan to
>run under Win32?
>
>Also, while I'm on the subject...I am familiar with UNIX tools, etc., 
and
>the setup of GNU-Win32 has been fairly easy. My problem is that I'm 
having
>trouble deciding on the best directory structure for my Windows NT 
system.
>
>Right now, I have something like this:
>
>E:\   (mount point corresponds to /)
>
>     utils
>         rktools
>         gnu-win32
>         mkstools
>         (various other programs)
>         rman
>         DevStudio
>     apps
>         gstools
>     Program Files
>         WinZip
>         WinRAR
>         CRT (a great telnet/rlogin program!)
>         (various other programs)
>
>Now, I want to use .exe's from all of these directories, but I don't 
want to
>add all of these directories to my path. I decided to make a /bin 
directory
>and put symbolic links to my commonly used .exe's, but some of these 
require
>DLLs and whatnot...how should I organize all this stuff? Most UNIX 
systems
>I've used have been pretty huge and messy, with various packages and 
things
>floating around in /bin, /usr/bin, /usr/local/bin, and all of their
>subdirectories, so it was pretty hairy.
>
>I would rather not mess up my existing structure too badly...I'm of the
>opinion that any program or script which absolutely requires a program 
to be
>in a certain hard-coded directory is a piece of crap (e.g., requiring 
/bin/sh
>to exist).
>
>Does anyone have suggestions on how to organize my directories so I can
>access my tools from the bash command line and still keep the tools 
separate?
>
>-chad
>         
>
>
>----------------------------------------------------
>| Chad Loder - Somerville, MA, USA                 |
>| EMail:     [email-masked]                        |
>| Home Page: http://www.ccs.neu.edu/home/cloder    |
>----------------------------------------------------
>
>
>
>-
>For help on using this list (especially unsubscribing), send a message 
to
>"[email-masked]" with one line of text: "help".
>

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".